List Procedure Parameters
curl --request GET \
--url https://cloud.cdata.com/api/procedureParameters \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://cloud.cdata.com/api/procedureParameters"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://cloud.cdata.com/api/procedureParameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"affectedRows": 123,
"schema": [
{
"catalogName": "<string>",
"columnLabel": "<string>",
"columnName": "<string>",
"dataTypeName": "<string>",
"length": 123,
"nullable": true,
"ordinal": 123,
"precision": 123,
"scale": 123,
"schemaName": "<string>",
"tableName": "<string>"
}
],
"rows": [
[
"<unknown>"
]
]
}
],
"error": {
"message": "<string>"
}
}Metadata
List Procedure Parameters
This operation returns information about a stored procedure’s parameters.
GET
/
procedureParameters
List Procedure Parameters
Authorizations
Basic Authentication with username and password. Use your PAT as the password. You can get your PAT from Connect AI by selecting Settings > Access Tokens.
Query Parameters
Restricts results to the specified workspace.
Restricts results to the specified catalog.
Restricts results to the specified schema.
Restricts results to the specified procedure.
Restricts results to the specified procedure parameter.
Was this page helpful?
⌘I